#!/usr/bin/perl -T
#!/usr/local/bin/perl -T

## --> Mixer IMD Calculator, mixer_imd.main.cgi
## --> Green Bay Professional Packet Radio, www.gbppr.org

## This file Copyright 2004 <contact@gbppr.org> under the GPL
## NO WARRANTY. Please send bug reports / patches / reports.

# Setup
#
select STDOUT;
$| = 1;

# User stuff
#
my $pic = "pics/mixer_imd.png";
my $form = "./mixer_imd.cgi";
my $imp = 50;

# Print MIME
#
print "Content-type:text/html\n\n";

# Draw me a web page
#
print <<EOF;
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title>Mixer IMD Calculator</title>
</head>
<body bgcolor="#D3D3D3" text="#000000" link="blue">
<center>
<font face="Verdana, Arial, Helvetica">
<h2>Mixer IMD Calculator</h2>

<p><font size="-1">A service of <a href="http://www.gbppr.org">Green Bay Professional Packet Radio</a>&nbsp;&reg;</font></p>
</center>

<hr noshade>
<center><img src="$pic" alt="[mixer imd]"></center>

<form action="$form" method="post">
<table border="0">

<tr>
<td><b>Enter the Mixer's LO&nbsp;&nbsp;</b></td>
<td><input type="text" name="lo" size="10" value="172">&nbsp;&nbsp;MHz</td>
</tr>

<tr>
<td><b>Enter the Mixer's RF&nbsp;&nbsp;</b></td>
<td><input type="text" name="rf" size="10" value="144">&nbsp;&nbsp;MHz</td>
</tr>

</table>

<hr noshade>
<center>
<table>
<tr>
<td><input type="submit" value="Submit"></td>
<td><input type="reset" value="Clear"></td>
</tr>
</table>
</center>
</form>

<hr noshade size="5">
</font>

<blockquote>
<p>Only accurate for <i>subtractive mode</i> mixing where the LO frequency is higher than the mixer's input frequency (RF).</p>

<p>Example: <tt>LO = 172 MHz, RF = 144 MHz, IF = 28 MHz (172 - 144)</tt></p>

<p>Most products of the 7<sup>th</sup> order or higher will be attenuated by at least 60 dB at the IF, and are usually not considered to cause problems.</p>

<p>Refer to <i>Ham Radio</i>, November 1983 for more information.</p>
</body>
</html>
EOF
