#!/usr/bin/perl -T
#!/usr/local/bin/perl -T

## --> RF Pi Network Designer, pinet.main.cgi
## --> Green Bay Professional Packet Radio, www.gbppr.org

## This file Copyright 2000 <contact@gbppr.org> under the GPL
## NO WARRANTY. Please send bug reports / patches / reports.

# Setup
#
select STDOUT;
$| = 1;

# User stuff
#
my $pic = "pics/pinet.png";
my $form = "./pinet.cgi";

# Print MIME
#
print "Content-type:text/html\n\n";

# Draw me a web page
#
print <<EOF;
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title>RF Pi Network Designer</title>
</head>
<body bgcolor="#D3D3D3" text="#000000" link="blue">
<center>
<font face="Verdana, Arial, Helvetica">
<h2>RF Pi Network Designer</h2>

<p><font size="-1">A service of <a href="http://www.gbppr.org">Green Bay Professional Packet Radio</a>&nbsp;&reg;</font></p>
</center>

<hr noshade>
<center><img src="$pic" alt="[pinet]"></center>

<form action="$form" method="post">
<table border="0">
<tr>
<td><b>Enter SOURCE impedance</b></td>
<td><input type="text" name="rs" size="5" value="50"></td>
<td>Ohms</td>
</tr>

<tr>
<td><b>Enter LOAD impedance</b></td>
<td><input type="text" name="rl" size="5" value="300"></td>
<td>Ohms</td>
</tr>

<tr>
<td><b>Enter desired circuit Q</b></td>
<td><input type="text" name="q" size="5" value="4"></td>
</tr>

<tr>
<td><b>Enter the operating frequency</b></td>
<td><input type="text" name="frq" size="5" value="10"></td>
<td><select name="frq_val">
<option selected>MHz</option>
<option>kHz</option>
</select></td>
</tr>
</table>

<hr noshade>
<center>
<table>
<tr>
<td><input type="submit" value="Submit"></td>
<td><input type="reset" value="Clear"></td>
</tr>
</table>
</center>
</form>

<hr noshade size="5">
</font>

<blockquote>
<p>Use low Q in solid state circuits (4-15)</p>
</blockquote>

</body>
</html>
EOF
